root/morphix/trunk/cloop/advancecomp-1.9_create_compressed_fs/config.status

Revision 2, 30.3 kB (checked in by nextime, 2 years ago)

Initial import, branching from morphix svn

  • Property svn:executable set to
Line 
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization.  ##
13 ## --------------------- ##
14
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17   emulate sh
18   NULLCMD=:
19   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20   # is contrary to our usage.  Disable this feature.
21   alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23   set -o posix
24 fi
25 DUALCASE=1; export DUALCASE # for MKS sh
26
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29   as_unset=unset
30 else
31   as_unset=false
32 fi
33
34
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
40
41 # NLS nuisances.
42 for as_var in \
43   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45   LC_TELEPHONE LC_TIME
46 do
47   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48     eval $as_var=C; export $as_var
49   else
50     $as_unset $as_var
51   fi
52 done
53
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56   as_expr=expr
57 else
58   as_expr=false
59 fi
60
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62   as_basename=basename
63 else
64   as_basename=false
65 fi
66
67
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71          X"$0" : 'X\(//\)$' \| \
72          X"$0" : 'X\(/\)$' \| \
73          .     : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76           /^X\/\(\/\/\)$/{ s//\1/; q; }
77           /^X\/\(\/\).*/{ s//\1/; q; }
78           s/.*/./; q'`
79
80
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91   echo "#! /bin/sh" >conf$$.sh
92   echo  "exit 0"   >>conf$$.sh
93   chmod +x conf$$.sh
94   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95     PATH_SEPARATOR=';'
96   else
97     PATH_SEPARATOR=:
98   fi
99   rm -f conf$$.sh
100 fi
101
102
103   as_lineno_1=$LINENO
104   as_lineno_2=$LINENO
105   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106   test "x$as_lineno_1" != "x$as_lineno_2" &&
107   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
108   # Find who we are.  Look in the path if we contain no path at all
109   # relative or not.
110   case $0 in
111     *[\\/]* ) as_myself=$0 ;;
112     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
114 do
115   IFS=$as_save_IFS
116   test -z "$as_dir" && as_dir=.
117   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
119
120        ;;
121   esac
122   # We did not find ourselves, most probably we were run as `sh COMMAND'
123   # in which case we are not to be found in the path.
124   if test "x$as_myself" = x; then
125     as_myself=$0
126   fi
127   if test ! -f "$as_myself"; then
128     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130    { (exit 1); exit 1; }; }
131   fi
132   case $CONFIG_SHELL in
133   '')
134     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136 do
137   IFS=$as_save_IFS
138   test -z "$as_dir" && as_dir=.
139   for as_base in sh bash ksh sh5; do
140          case $as_dir in
141          /*)
142            if ("$as_dir/$as_base" -c '
143   as_lineno_1=$LINENO
144   as_lineno_2=$LINENO
145   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146   test "x$as_lineno_1" != "x$as_lineno_2" &&
147   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
148              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150              CONFIG_SHELL=$as_dir/$as_base
151              export CONFIG_SHELL
152              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153            fi;;
154          esac
155        done
156 done
157 ;;
158   esac
159
160   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161   # uniformly replaced by the line number.  The first 'sed' inserts a
162   # line-number line before each line; the second 'sed' does the real
163   # work.  The second script uses 'N' to pair each line-number line
164   # with the numbered line, and appends trailing '-' during
165   # substitution so that $LINENO is not a special case at line end.
166   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
168   sed '=' <$as_myself |
169     sed '
170       N
171       s,$,-,
172       : loop
173       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174       t loop
175       s,-$,,
176       s,^['$as_cr_digits']*\n,,
177     ' >$as_me.lineno &&
178   chmod +x $as_me.lineno ||
179     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181    { (exit 1); exit 1; }; }
182
183   # Don't try to exec as it changes $[0], causing all sort of problems
184   # (the dirname of $[0] is not the place where we might find the
185   # original and so on.  Autoconf is especially sensible to this).
186   . ./$as_me.lineno
187   # Exit status is that of the last command.
188   exit
189 }
190
191
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193   *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T='      ' ;;
195   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
198
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200   as_expr=expr
201 else
202   as_expr=false
203 fi
204
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208   # We could just check for DJGPP; but this test a) works b) is more generic
209   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210   if test -f conf$$.exe; then
211     # Don't use ln at all; we don't have any links
212     as_ln_s='cp -p'
213   else
214     as_ln_s='ln -s'
215   fi
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217   as_ln_s=ln
218 else
219   as_ln_s='cp -p'
220 fi
221 rm -f conf$$ conf$$.exe conf$$.file
222
223 if mkdir -p . 2>/dev/null; then
224   as_mkdir_p=:
225 else
226   test -d ./-p && rmdir ./-p
227   as_mkdir_p=false
228 fi
229
230 as_executable_p="test -f"
231
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
242 '
243 IFS="   $as_nl"
244
245 # CDPATH.
246 $as_unset CDPATH
247
248 exec 6>&1
249
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling.  Logging --version etc. is OK.
253 exec 5>>config.log
254 {
255   echo
256   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
261
262 This file was extended by AdvanceCOMP $as_me 1.9, which was
263 generated by GNU Autoconf 2.59.  Invocation command line was
264
265   CONFIG_FILES    = $CONFIG_FILES
266   CONFIG_HEADERS  = $CONFIG_HEADERS
267   CONFIG_LINKS    = $CONFIG_LINKS
268   CONFIG_COMMANDS = $CONFIG_COMMANDS
269   $ $0 $@
270
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" Makefile"
275 config_headers=" config.h"
276
277 ac_cs_usage="\
278 \`$as_me' instantiates files from templates according to the
279 current configuration.
280
281 Usage: $0 [OPTIONS] [FILE]...
282
283   -h, --help       print this help, then exit
284   -V, --version    print version number, then exit
285   -q, --quiet      do not print progress messages
286   -d, --debug      don't remove temporary files
287       --recheck    update $as_me by reconfiguring in the same conditions
288   --file=FILE[:TEMPLATE]
289                    instantiate the configuration file FILE
290   --header=FILE[:TEMPLATE]
291                    instantiate the configuration header FILE
292
293 Configuration files:
294 $config_files
295
296 Configuration headers:
297 $config_headers
298
299 Report bugs to <bug-autoconf@gnu.org>."
300 ac_cs_version="\
301 AdvanceCOMP config.status 1.9
302 configured by ./configure, generated by GNU Autoconf 2.59,
303   with options \"\"
304
305 Copyright (C) 2003 Free Software Foundation, Inc.
306 This config.status script is free software; the Free Software Foundation
307 gives unlimited permission to copy, distribute and modify it."
308 srcdir=.
309 INSTALL="/usr/bin/install -c"
310 # If no file are specified by the user, then we need to provide default
311 # value.  By we need to know if files were specified by the user.
312 ac_need_defaults=:
313 while test $# != 0
314 do
315   case $1 in
316   --*=*)
317     ac_option=`expr "x$1" : 'x\([^=]*\)='`
318     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
319     ac_shift=:
320     ;;
321   -*)
322     ac_option=$1
323     ac_optarg=$2
324     ac_shift=shift
325     ;;
326   *) # This is not an option, so the user has probably given explicit
327      # arguments.
328      ac_option=$1
329      ac_need_defaults=false;;
330   esac
331
332   case $ac_option in
333   # Handling of the options.
334   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
335     ac_cs_recheck=: ;;
336   --version | --vers* | -V )
337     echo "$ac_cs_version"; exit 0 ;;
338   --he | --h)
339     # Conflict between --help and --header
340     { { echo "$as_me:$LINENO: error: ambiguous option: $1
341 Try \`$0 --help' for more information." >&5
342 echo "$as_me: error: ambiguous option: $1
343 Try \`$0 --help' for more information." >&2;}
344    { (exit 1); exit 1; }; };;
345   --help | --hel | -h )
346     echo "$ac_cs_usage"; exit 0 ;;
347   --debug | --d* | -d )
348     debug=: ;;
349   --file | --fil | --fi | --f )
350     $ac_shift
351     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
352     ac_need_defaults=false;;
353   --header | --heade | --head | --hea )
354     $ac_shift
355     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
356     ac_need_defaults=false;;
357   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
358   | -silent | --silent | --silen | --sile | --sil | --si | --s)
359     ac_cs_silent=: ;;
360
361   # This is an error.
362   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
363 Try \`$0 --help' for more information." >&5
364 echo "$as_me: error: unrecognized option: $1
365 Try \`$0 --help' for more information." >&2;}
366    { (exit 1); exit 1; }; } ;;
367
368   *) ac_config_targets="$ac_config_targets $1" ;;
369
370   esac
371   shift
372 done
373
374 ac_configure_extra_args=
375
376 if $ac_cs_silent; then
377   exec 6>/dev/null
378   ac_configure_extra_args="$ac_configure_extra_args --silent"
379 fi
380
381 if $ac_cs_recheck; then
382   echo "running /bin/sh ./configure "  $ac_configure_extra_args " --no-create --no-recursion" >&6
383   exec /bin/sh ./configure  $ac_configure_extra_args --no-create --no-recursion
384 fi
385
386 for ac_config_target in $ac_config_targets
387 do
388   case "$ac_config_target" in
389   # Handling of arguments.
390   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
391   "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
392   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
393 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
394    { (exit 1); exit 1; }; };;
395   esac
396 done
397
398 # If the user did not use the arguments to specify the items to instantiate,
399 # then the envvar interface is used.  Set only those that are not.
400 # We use the long form for the default assignment because of an extremely
401 # bizarre bug on SunOS 4.1.3.
402 if $ac_need_defaults; then
403   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
404   test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
405 fi
406
407 # Have a temporary directory for convenience.  Make it in the build tree
408 # simply because there is no reason to put it here, and in addition,
409 # creating and moving files from /tmp can sometimes cause problems.
410 # Create a temporary directory, and hook for its removal unless debugging.
411 $debug ||
412 {
413   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
414   trap '{ (exit 1); exit 1; }' 1 2 13 15
415 }
416
417 # Create a (secure) tmp directory for tmp files.
418
419 {
420   tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
421   test -n "$tmp" && test -d "$tmp"
422 }  ||
423 {
424   tmp=./confstat$$-$RANDOM
425   (umask 077 && mkdir $tmp)
426 } ||
427 {
428    echo "$me: cannot create a temporary directory in ." >&2
429    { (exit 1); exit 1; }
430 }
431
432
433 #
434 # CONFIG_FILES section.
435 #
436
437 # No need to generate the scripts if there are no CONFIG_FILES.
438 # This happens for instance when ./config.status config.h
439 if test -n "$CONFIG_FILES"; then
440   # Protect against being on the right side of a sed subst in config.status.
441   sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
442    s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
443 s,@SHELL@,/bin/sh,;t t
444 s,@PATH_SEPARATOR@,:,;t t
445 s,@PACKAGE_NAME@,AdvanceCOMP,;t t
446 s,@PACKAGE_TARNAME@,advancecomp,;t t
447 s,@PACKAGE_VERSION@,1.9,;t t
448 s,@PACKAGE_STRING@,AdvanceCOMP 1.9,;t t
449 s,@PACKAGE_BUGREPORT@,,;t t
450 s,@exec_prefix@,${prefix},;t t
451 s,@prefix@,/usr/local,;t t
452 s,@program_transform_name@,s,x,x,,;t t
453 s,@bindir@,${exec_prefix}/bin,;t t
454 s,@sbindir@,${exec_prefix}/sbin,;t t
455 s,@libexecdir@,${exec_prefix}/libexec,;t t
456 s,@datadir@,${prefix}/share,;t t
457 s,@sysconfdir@,${prefix}/etc,;t t
458 s,@sharedstatedir@,${prefix}/com,;t t
459 s,@localstatedir@,${prefix}/var,;t t
460 s,@libdir@,${exec_prefix}/lib,;t t
461 s,@includedir@,${prefix}/include,;t t
462 s,@oldincludedir@,/usr/include,;t t
463 s,@infodir@,${prefix}/info,;t t
464 s,@mandir@,${prefix}/man,;t t
465 s,@build_alias@,,;t t
466 s,@host_alias@,,;t t
467 s,@target_alias@,,;t t
468 s,@DEFS@,-DHAVE_CONFIG_H,;t t
469 s,@ECHO_C@,,;t t
470 s,@ECHO_N@,-n,;t t
471 s,@ECHO_T@,,;t t
472 s,@LIBS@,-lz ,;t t
473 s,@INSTALL_PROGRAM@,${INSTALL},;t t
474 s,@INSTALL_SCRIPT@,${INSTALL},;t t
475 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
476 s,@CYGPATH_W@,echo,;t t
477 s,@PACKAGE@,advancecomp,;t t
478 s,@VERSION@,1.9,;t t
479 s,@ACLOCAL@,${SHELL} /home/knopper/advancecomp-1.9_create_compressed_fs/missing --run aclocal-1.7,;t t
480 s,@AUTOCONF@,${SHELL} /home/knopper/advancecomp-1.9_create_compressed_fs/missing --run autoconf,;t t
481 s,@AUTOMAKE@,${SHELL} /home/knopper/advancecomp-1.9_create_compressed_fs/missing --run automake-1.7,;t t
482 s,@AUTOHEADER@,${SHELL} /home/knopper/advancecomp-1.9_create_compressed_fs/missing --run autoheader,;t t
483 s,@MAKEINFO@,${SHELL} /home/knopper/advancecomp-1.9_create_compressed_fs/missing --run makeinfo,;t t
484 s,@AMTAR@,${SHELL} /home/knopper/advancecomp-1.9_create_compressed_fs/missing --run tar,;t t
485 s,@install_sh@,/home/knopper/advancecomp-1.9_create_compressed_fs/install-sh,;t t
486 s,@STRIP@,,;t t
487 s,@ac_ct_STRIP@,,;t t
488 s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
489 s,@AWK@,gawk,;t t
490 s,@SET_MAKE@,,;t t
491 s,@am__leading_dot@,.,;t t
492 s,@build@,i686-pc-linux-gnu,;t t
493 s,@build_cpu@,i686,;t t
494 s,@build_vendor@,pc,;t t
495 s,@build_os@,linux-gnu,;t t
496 s,@host@,i686-pc-linux-gnu,;t t
497 s,@host_cpu@,i686,;t t
498 s,@host_vendor@,pc,;t t
499 s,@host_os@,linux-gnu,;t t
500 s,@CXX@,g++,;t t
501 s,@CXXFLAGS@,-g -O2 -DUSE_ERROR_SILENT -DUSE_COMPRESS,;t t
502 s,@LDFLAGS@,,;t t
503 s,@CPPFLAGS@,,;t t
504 s,@ac_ct_CXX@,g++,;t t
505 s,@EXEEXT@,,;t t
506 s,@OBJEXT@,o,;t t
507 s,@CC@,gcc,;t t
508 s,@CFLAGS@,-g -O2 -DUSE_ERROR_SILENT -DUSE_COMPRESS,;t t
509 s,@ac_ct_CC@,gcc,;t t
510 s,@TAR@,tar,;t t
511 s,@GZIP@,gzip,;t t
512 s,@GROFF@,groff,;t t
513 s,@COL@,col,;t t
514 s,@CPP@,gcc -E,;t t
515 s,@EGREP@,grep -E,;t t
516 s,@LIBOBJS@,,;t t
517 s,@LTLIBOBJS@,,;t t
518 CEOF
519
520   # Split the substitutions into bite-sized pieces for seds with
521   # small command number limits, like on Digital OSF/1 and HP-UX.
522   ac_max_sed_lines=48
523   ac_sed_frag=1 # Number of current file.
524   ac_beg=1 # First line for current file.
525   ac_end=$ac_max_sed_lines # Line after last line for current file.
526   ac_more_lines=:
527   ac_sed_cmds=
528   while $ac_more_lines; do
529     if test $ac_beg -gt 1; then
530       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
531     else
532       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
533     fi
534     if test ! -s $tmp/subs.frag; then
535       ac_more_lines=false
536     else
537       # The purpose of the label and of the branching condition is to
538       # speed up the sed processing (if there are no `@' at all, there
539       # is no need to browse any of the substitutions).
540       # These are the two extra sed commands mentioned above.
541       (echo ':t
542   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
543       if test -z "$ac_sed_cmds"; then
544         ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
545       else
546         ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
547       fi
548       ac_sed_frag=`expr $ac_sed_frag + 1`
549       ac_beg=$ac_end
550       ac_end=`expr $ac_end + $ac_max_sed_lines`
551     fi
552   done
553   if test -z "$ac_sed_cmds"; then
554     ac_sed_cmds=cat
555   fi
556 fi # test -n "$CONFIG_FILES"
557
558 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
559   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
560   case $ac_file in
561   - | *:- | *:-:* ) # input from stdin
562         cat >$tmp/stdin
563         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
564         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
565   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
566         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
567   * )   ac_file_in=$ac_file.in ;;
568   esac
569
570   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
571   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
572 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
573          X"$ac_file" : 'X\(//\)[^/]' \| \
574          X"$ac_file" : 'X\(//\)$' \| \
575          X"$ac_file" : 'X\(/\)' \| \
576          .     : '\(.\)' 2>/dev/null ||
577 echo X"$ac_file" |
578     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
579           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
580           /^X\(\/\/\)$/{ s//\1/; q; }
581           /^X\(\/\).*/{ s//\1/; q; }
582           s/.*/./; q'`
583   { if $as_mkdir_p; then
584     mkdir -p "$ac_dir"
585   else
586     as_dir="$ac_dir"
587     as_dirs=
588     while test ! -d "$as_dir"; do
589       as_dirs="$as_dir $as_dirs"
590       as_dir=`(dirname "$as_dir") 2>/dev/null ||
591 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
592          X"$as_dir" : 'X\(//\)[^/]' \| \
593          X"$as_dir" : 'X\(//\)$' \| \
594          X"$as_dir" : 'X\(/\)' \| \
595          .     : '\(.\)' 2>/dev/null ||
596 echo X"$as_dir" |
597     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
598           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
599           /^X\(\/\/\)$/{ s//\1/; q; }
600           /^X\(\/\).*/{ s//\1/; q; }
601           s/.*/./; q'`
602     done
603     test ! -n "$as_dirs" || mkdir $as_dirs
604   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
605 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
606    { (exit 1); exit 1; }; }; }
607
608   ac_builddir=.
609
610 if test "$ac_dir" != .; then
611   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
612   # A "../" for each directory in $ac_dir_suffix.
613   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
614 else
615   ac_dir_suffix= ac_top_builddir=
616 fi
617
618 case $srcdir in
619   .)  # No --srcdir option.  We are building in place.
620     ac_srcdir=.
621     if test -z "$ac_top_builddir"; then
622        ac_top_srcdir=.
623     else
624        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
625     fi ;;
626   [\\/]* | ?:[\\/]* )  # Absolute path.
627     ac_srcdir=$srcdir$ac_dir_suffix;
628     ac_top_srcdir=$srcdir ;;
629   *) # Relative path.
630     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
631     ac_top_srcdir=$ac_top_builddir$srcdir ;;
632 esac
633
634 # Do not use `cd foo && pwd` to compute absolute paths, because
635 # the directories may not exist.
636 case `pwd` in
637 .) ac_abs_builddir="$ac_dir";;
638 *)
639   case "$ac_dir" in
640   .) ac_abs_builddir=`pwd`;;
641   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
642   *) ac_abs_builddir=`pwd`/"$ac_dir";;
643   esac;;
644 esac
645 case $ac_abs_builddir in
646 .) ac_abs_top_builddir=${ac_top_builddir}.;;
647 *)
648   case ${ac_top_builddir}. in
649   .) ac_abs_top_builddir=$ac_abs_builddir;;
650   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
651   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
652   esac;;
653 esac
654 case $ac_abs_builddir in
655 .) ac_abs_srcdir=$ac_srcdir;;
656 *)
657   case $ac_srcdir in
658   .) ac_abs_srcdir=$ac_abs_builddir;;
659   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
660   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
661   esac;;
662 esac
663 case $ac_abs_builddir in
664 .) ac_abs_top_srcdir=$ac_top_srcdir;;
665 *)
666   case $ac_top_srcdir in
667   .) ac_abs_top_srcdir=$ac_abs_builddir;;
668   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
669   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
670   esac;;
671 esac
672
673
674   case $INSTALL in
675   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
676   *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
677   esac
678
679   # Let's still pretend it is `configure' which instantiates (i.e., don't
680   # use $as_me), people would be surprised to read:
681   #    /* config.h.  Generated by config.status.  */
682   if test x"$ac_file" = x-; then
683     configure_input=
684   else
685     configure_input="$ac_file.  "
686   fi
687   configure_input=$configure_input"Generated from `echo $ac_file_in |
688                                      sed 's,.*/,,'` by configure."
689
690   # First look for the input files in the build tree, otherwise in the
691   # src tree.
692   ac_file_inputs=`IFS=:
693     for f in $ac_file_in; do
694       case $f in
695       -) echo $tmp/stdin ;;
696       [\\/$]*)
697          # Absolute (can't be DOS-style, as IFS=:)
698          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
699 echo "$as_me: error: cannot find input file: $f" >&2;}
700    { (exit 1); exit 1; }; }
701          echo "$f";;
702       *) # Relative
703          if test -f "$f"; then
704            # Build tree
705            echo "$f"
706          elif test -f "$srcdir/$f"; then
707            # Source tree
708            echo "$srcdir/$f"
709          else
710            # /dev/null tree
711            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
712 echo "$as_me: error: cannot find input file: $f" >&2;}
713    { (exit 1); exit 1; }; }
714          fi;;
715       esac
716     done` || { (exit 1); exit 1; }
717
718   if test x"$ac_file" != x-; then
719     { echo "$as_me:$LINENO: creating $ac_file" >&5
720 echo "$as_me: creating $ac_file" >&6;}
721     rm -f "$ac_file"
722   fi
723   sed "/^[       ]*VPATH[        ]*=/{
724 s/:*\$(srcdir):*/:/;
725 s/:*\${srcdir}:*/:/;
726 s/:*@srcdir@:*/:/;
727 s/^\([^=]*=[     ]*\):*/\1/;
728 s/:*$//;
729 s/^[^=]*=[       ]*$//;
730 }
731
732 :t
733 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
734 s,@configure_input@,$configure_input,;t t
735 s,@srcdir@,$ac_srcdir,;t t
736 s,@abs_srcdir@,$ac_abs_srcdir,;t t
737 s,@top_srcdir@,$ac_top_srcdir,;t t
738 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
739 s,@builddir@,$ac_builddir,;t t
740 s,@abs_builddir@,$ac_abs_builddir,;t t
741 s,@top_builddir@,$ac_top_builddir,;t t
742 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
743 s,@INSTALL@,$ac_INSTALL,;t t
744 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
745   rm -f $tmp/stdin
746   if test x"$ac_file" != x-; then
747     mv $tmp/out $ac_file
748   else
749     cat $tmp/out
750     rm -f $tmp/out
751   fi
752
753 done
754
755 #
756 # CONFIG_HEADER section.
757 #
758
759 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
760 # NAME is the cpp macro being defined and VALUE is the value it is being given.
761 #
762 # ac_d sets the value in "#define NAME VALUE" lines.
763 ac_dA='s,^\([    ]*\)#\([        ]*define[       ][      ]*\)'
764 ac_dB='[         ].*$,\1#\2'
765 ac_dC=' '
766 ac_dD=',;t'
767 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
768 ac_uA='s,^\([    ]*\)#\([        ]*\)undef\([    ][      ]*\)'
769 ac_uB='$,\1#\2define\3'
770 ac_uC=' '
771 ac_uD=',;t'
772
773 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
774   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
775   case $ac_file in
776   - | *:- | *:-:* ) # input from stdin
777         cat >$tmp/stdin
778         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
779         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
780   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
781         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
782   * )   ac_file_in=$ac_file.in ;;
783   esac
784
785   test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
786 echo "$as_me: creating $ac_file" >&6;}
787
788   # First look for the input files in the build tree, otherwise in the
789   # src tree.
790   ac_file_inputs=`IFS=:
791     for f in $ac_file_in; do
792       case $f in
793       -) echo $tmp/stdin ;;
794       [\\/$]*)
795          # Absolute (can't be DOS-style, as IFS=:)
796          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
797 echo "$as_me: error: cannot find input file: $f" >&2;}
798    { (exit 1); exit 1; }; }
799          # Do quote $f, to prevent DOS paths from being IFS'd.
800          echo "$f";;
801       *) # Relative
802          if test -f "$f"; then
803            # Build tree
804            echo "$f"
805          elif test -f "$srcdir/$f"; then
806            # Source tree
807            echo "$srcdir/$f"
808          else
809            # /dev/null tree
810            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
811 echo "$as_me: error: cannot find input file: $f" >&2;}
812    { (exit 1); exit 1; }; }
813          fi;;
814       esac
815     done` || { (exit 1); exit 1; }
816   # Remove the trailing spaces.
817   sed 's/[       ]*$//' $ac_file_inputs >$tmp/in
818
819   # Handle all the #define templates only if necessary.
820   if grep "^[    ]*#[    ]*define" $tmp/in >/dev/null; then
821   # If there are no defines, we may have an empty if/fi
822   :
823   cat >$tmp/defines.sed <<CEOF
824 /^[      ]*#[    ]*define/!b
825 t clr
826 : clr
827 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"AdvanceCOMP"${ac_dD}
828 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"advancecomp"${ac_dD}
829 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"1.9"${ac_dD}
830 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"AdvanceCOMP 1.9"${ac_dD}
831 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
832 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"advancecomp"${ac_dD}
833 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"1.9"${ac_dD}
834 ${ac_dA}HAVE_LIBZ${ac_dB}HAVE_LIBZ${ac_dC}1${ac_dD}
835 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
836 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
837 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
838 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
839 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
840 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
841 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
842 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
843 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
844 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
845 ${ac_dA}HAVE_UTIME_H${ac_dB}HAVE_UTIME_H${ac_dC}1${ac_dD}
846 ${ac_dA}HAVE_STDARG_H${ac_dB}HAVE_STDARG_H${ac_dC}1${ac_dD}
847 ${ac_dA}HAVE_GETOPT_H${ac_dB}HAVE_GETOPT_H${ac_dC}1${ac_dD}
848 ${ac_dA}HAVE_GETOPT${ac_dB}HAVE_GETOPT${ac_dC}1${ac_dD}
849 ${ac_dA}HAVE_GETOPT_LONG${ac_dB}HAVE_GETOPT_LONG${ac_dC}1${ac_dD}
850 ${ac_dA}HAVE_SNPRINTF${ac_dB}HAVE_SNPRINTF${ac_dC}1${ac_dD}
851 ${ac_dA}HAVE_VSNPRINTF${ac_dB}HAVE_VSNPRINTF${ac_dC}1${ac_dD}
852 ${ac_dA}USE_7Z${ac_dB}USE_7Z${ac_dC}1${ac_dD}
853 ${ac_dA}USE_LZMA${ac_dB}USE_LZMA${ac_dC}1${ac_dD}
854 CEOF
855   sed -f $tmp/defines.sed $tmp/in >$tmp/out
856   rm -f $tmp/in
857   mv $tmp/out $tmp/in
858
859   fi # grep
860
861   # Handle all the #undef templates
862   cat >$tmp/undefs.sed <<CEOF
863 /^[      ]*#[    ]*undef/!b
864 t clr
865 : clr
866 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"AdvanceCOMP"${ac_uD}
867 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"advancecomp"${ac_uD}
868 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"1.9"${ac_uD}
869 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"AdvanceCOMP 1.9"${ac_uD}
870 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
871 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"advancecomp"${ac_uD}
872 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"1.9"${ac_uD}
873 ${ac_uA}HAVE_LIBZ${ac_uB}HAVE_LIBZ${ac_uC}1${ac_uD}
874 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
875 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
876 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
877 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
878 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
879 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
880 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
881 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
882 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
883 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
884 ${ac_uA}HAVE_UTIME_H${ac_uB}HAVE_UTIME_H${ac_uC}1${ac_uD}
885 ${ac_uA}HAVE_STDARG_H${ac_uB}HAVE_STDARG_H${ac_uC}1${ac_uD}
886 ${ac_uA}HAVE_GETOPT_H${ac_uB}HAVE_GETOPT_H${ac_uC}1${ac_uD}
887 ${ac_uA}HAVE_GETOPT${ac_uB}HAVE_GETOPT${ac_uC}1${ac_uD}
888 ${ac_uA}HAVE_GETOPT_LONG${ac_uB}HAVE_GETOPT_LONG${ac_uC}1${ac_uD}
889 ${ac_uA}HAVE_SNPRINTF${ac_uB}HAVE_SNPRINTF${ac_uC}1${ac_uD}
890 ${ac_uA}HAVE_VSNPRINTF${ac_uB}HAVE_VSNPRINTF${ac_uC}1${ac_uD}
891 ${ac_uA}USE_7Z${ac_uB}USE_7Z${ac_uC}1${ac_uD}
892 ${ac_uA}USE_LZMA${ac_uB}USE_LZMA${ac_uC}1${ac_uD}
893 s,^[     ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
894 CEOF
895   sed -f $tmp/undefs.sed $tmp/in >$tmp/out
896   rm -f $tmp/in
897   mv $tmp/out $tmp/in
898
899   # Let's still pretend it is `configure' which instantiates (i.e., don't
900   # use $as_me), people would be surprised to read:
901   #    /* config.h.  Generated by config.status.  */
902   if test x"$ac_file" = x-; then
903     echo "/* Generated by configure.  */" >$tmp/config.h
904   else
905     echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
906   fi
907   cat $tmp/in >>$tmp/config.h
908   rm -f $tmp/in
909   if test x"$ac_file" != x-; then
910     if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
911       { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
912 echo "$as_me: $ac_file is unchanged" >&6;}
913     else
914       ac_dir=`(dirname "$ac_file") 2>/dev/null ||
915 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
916          X"$ac_file" : 'X\(//\)[^/]' \| \
917          X"$ac_file" : 'X\(//\)$' \| \
918          X"$ac_file" : 'X\(/\)' \| \
919          .     : '\(.\)' 2>/dev/null ||
920 echo X"$ac_file" |
921     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
922           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
923           /^X\(\/\/\)$/{ s//\1/; q; }
924           /^X\(\/\).*/{ s//\1/; q; }
925           s/.*/./; q'`
926       { if $as_mkdir_p; then
927     mkdir -p "$ac_dir"
928   else
929     as_dir="$ac_dir"
930     as_dirs=
931     while test ! -d "$as_dir"; do
932       as_dirs="$as_dir $as_dirs"
933       as_dir=`(dirname "$as_dir") 2>/dev/null ||
934 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
935          X"$as_dir" : 'X\(//\)[^/]' \| \
936          X"$as_dir" : 'X\(//\)$' \| \
937          X"$as_dir" : 'X\(/\)' \| \
938          .     : '\(.\)' 2>/dev/null ||
939 echo X"$as_dir" |
940     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
941           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
942           /^X\(\/\/\)$/{ s//\1/; q; }
943           /^X\(\/\).*/{ s//\1/; q; }
944           s/.*/./; q'`
945     done
946     test ! -n "$as_dirs" || mkdir $as_dirs
947   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
948 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
949    { (exit 1); exit 1; }; }; }
950
951       rm -f $ac_file
952       mv $tmp/config.h $ac_file
953     fi
954   else
955     cat $tmp/config.h
956     rm -f $tmp/config.h
957   fi
958 # Compute $ac_file's index in $config_headers.
959 _am_stamp_count=1
960 for _am_header in $config_headers :; do
961   case $_am_header in
962     $ac_file | $ac_file:* )
963       break ;;
964     * )
965       _am_stamp_count=`expr $_am_stamp_count + 1` ;;
966   esac
967 done
968 echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
969 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
970          X$ac_file : 'X\(//\)[^/]' \| \
971          X$ac_file : 'X\(//\)$' \| \
972          X$ac_file : 'X\(/\)' \| \
973          .     : '\(.\)' 2>/dev/null ||
974 echo X$ac_file |
975     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
976           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
977           /^X\(\/\/\)$/{ s//\1/; q; }
978           /^X\(\/\).*/{ s//\1/; q; }
979           s/.*/./; q'`/stamp-h$_am_stamp_count
980 done
981
982 { (exit 0); exit 0; }
Note: See TracBrowser for help on using the browser.